Package org.kapott.hbci.structures

## Class BigDecimalValue

- java.lang.Object
- - org.kapott.hbci.structures.BigDecimalValue

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `TypedValue`

    public class BigDecimalValue
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`BigDecimalValue​(long value, int scale, java.lang.String curr)`
`BigDecimalValue​(long value, java.lang.String curr)`
`BigDecimalValue​(java.lang.String value, java.lang.String curr)`
`BigDecimalValue​(java.math.BigDecimal value, java.lang.String curr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCurr()`
`java.math.BigDecimal` `getValue()`
`void` `setCurr​(java.lang.String curr)`
`void` `setValue​(java.math.BigDecimal value)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BigDecimalValue

    public BigDecimalValue​(long value,
                           java.lang.String curr)

#### BigDecimalValue

    public BigDecimalValue​(long value,
                           int scale,
                           java.lang.String curr)

#### BigDecimalValue

    public BigDecimalValue​(java.math.BigDecimal value,
                           java.lang.String curr)

#### BigDecimalValue

    public BigDecimalValue​(java.lang.String value,
                           java.lang.String curr)

### Method Detail

#### getValue

    public java.math.BigDecimal getValue()

#### setValue

    public void setValue​(java.math.BigDecimal value)

#### getCurr

    public java.lang.String getCurr()

#### setCurr

    public void setCurr​(java.lang.String curr)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`